#include "BrzinaVrtnje.h"
#include "mbed.h"
#include "TextLCD.h"
Ticker ticker1;
Timer timer1;
float brzina;
TextLCD lcd(p19, p20, p21, p22, p23, p24);
BrzinaV::BrzinaV(PinName pin1):int1(pin1)
{
    timer1.start();
    void mjerenje();
    void ispis();
    ticker1.attach(&ispis,1.0);
    int1.rise(&mjerenje);
};
void mjerenje()
{
    brzina = 2055.0/timer1.read_ms();
    timer1.reset();
}

void ispis()
{
    lcd.cls();
    lcd.printf("Brzina: %.2f",brzina);
}